function c=mkclock;
% mkclock...............prettyprints date and time
%
% call: c=mkclock;
%
% returns a string containing the current date and time in a prettyprinted
% format "dd.mm.yyyy, hr:min:sec"
%
% Martin Knapmeyer 02.07.1995

clocktime=clock;

if clocktime(5)<10 
   min=['0' int2str(clocktime(5))];
else
   min=int2str(clocktime(5));
end; % if min

if clocktime(6)<10 
   sec=['0' int2str(clocktime(6))];
else
   sec=int2str(clocktime(6));
end; % if min

c=[int2str(clocktime(3)) '.'...
   int2str(clocktime(2)) '.'...
   int2str(clocktime(1)) ', '...
   int2str(clocktime(4)) ':'...
   min ':'...
   sec];
