function [h,m,s]=mkms2hms(ms);
% mkms2hms..............computes hr min sec from milliseconds after midnight
%
% call: [h,m,s]=mkms2hms(ms);
%
%       ms: milliseconds after midnight
%
% result: h,m,s: hour, min and sec after midnight, sec with decimal fractions
%
% Martin Knapmeyer, 19.09.1996


sec=ms/1000;

h=fix(sec/3600);
sec=sec-h*3600;
m=fix(sec/60);
sec=sec-m*60;
s=sec;
