function index=mklsgridgettriangletri(fxslayer,id);
% mklsgridgettriangletri......get triangle index by triangle ID
%
% call: index=mklsgridgettriangletri(fxslayer,id);
%
%             layer: a complete FXS LAYER structure as returned by
%                    MKLSGRIDFXSLAYERTRI.
%                id: ID of a triangle in the LAYER
%
% result: index: index number of the triangle specified by ID.
%                layer.tri(index) is the triangle specified by ID.
%                empty if no such trinangle exists.
%
% Martin Knapmeyer, 07.12.2004


%%% init result
index=[];

%%% how many IDs?
idanz=length(id);

%%% loop over IDs
for indy=1:idanz
    res=find(fxslayer.triids==id(indy));
    index=[index res];
end; % for indy



% %%% init result
% index=[];
% 
% %%% how many triangles?
% trianz=length(layer.tri);
% 
% %%% search loop
% cnt=1;
% done=0;
% while done==0
%     if layer.tri(cnt).id==id
%         done=1;
%         index=cnt;
%     else
%         if cnt<trianz
%            cnt=cnt+1;
%         else
%             done=1;
%             index=[];
%         end; % if cnt<trianz
%     end; % if layer.tri(cnt).id==id
% end; % while
% 
% 
% %%% and we're done.